Initiate a forgot username request by using an authentication mechanism.

Entitlement required: recoverUsername (Recover user name).

Note: To use this API, username recovery must be enabled in the Cloud Directory identity provider.

Initiates a forgot username request for the user. Each step defines a method to verify the user's identity. Valid methods are email, emailotp, smsotp, voiceotp, totp, fingerprint, and userpresence. A transaction identifier, steps remaining, and the next step to perform are returned in the response. When multiple steps are associated with the transaction, call the POST /v1.0/usc/username/recovery/{trxId}/validator API to verify the user's identity until only one step remains. When one step remains, call the PUT /v1.0/usc/username/recovery/{trxId} to verify the last step and recover the user's user name. The username is delivered via email after the user's identity is verified. The email method sends the username directly to the user's email. The method cannot be combined with other authentication mechanisms.

The totp, fingerprint, and userpresence verification methods require user enrollment. The fingerprint method also works with facial recognition. The emailotp, smsotp, and voiceotp verification methods do not require user enrollment, unless the authentication factors tenant configuration specifies "User-enrolled methods only".

When the system cannot recover the username, the audit event generated contains the cause of the error.

Notifications can be branded by passing in the themeId as a query parameter. The templates for branding MFA notications are located at authentication/mfa/. For the email method, the email template for branding is at authentication/login/cloud_directory/username/username_recovery.xml.

Rate Limiting: This endpoint has multiple rate limits applied:
1) IP Address level - Maximum of 10 requests per hour
2) Tenant level - Maximum of 100 requests per hour
3) Tenant + Attribute values level - Maximum of 2 requests per hour per tenant and attribute values combination used to look up the user's information
If any rate limit is exceeded, a 429 (Too many requests) response will be returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Query Params
string

The identifier of the theme that you want to apply.

Body Params

The body of the user name recovery operation.

attributes
array of objects
required

The name and value of the attributes to use to find the user's account information. The attributes are combined together with an AND to find the user's account.

attributes*
steps
array of objects
required

The steps that are required to verify the user's identity before the user name can be recovered.

steps*
string

The state identifier that is associated with the forgot user name request.

Responses

Language
URL
LoadingLoading

Response
Choose an example:
application/json